org.keycloak.admin.client.resource

## Interface IdentityProviderResource

-     public interface IdentityProviderResource

  Author:
    pedroigor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `addMapper(IdentityProviderMapperRepresentation mapper)`
    `void` | `delete(String id)`
    `javax.ws.rs.core.Response` | `export(String format)`
    `IdentityProviderMapperRepresentation` | `getMapperById(String id)`
    `List<IdentityProviderMapperRepresentation>` | `getMappers()`
    `Map<String,IdentityProviderMapperTypeRepresentation>` | `getMapperTypes()`
    `void` | `remove()`
    `IdentityProviderRepresentation` | `toRepresentation()`
    `void` | `update(IdentityProviderRepresentation identityProviderRepresentation)`
    `void` | `update(String id, IdentityProviderMapperRepresentation rep)`

- - ### Method Detail

    - #### toRepresentation

          @GET
           @Produces(value="application/json")
          IdentityProviderRepresentation toRepresentation()

    - #### update

          @PUT
           @Consumes(value="application/json")
          void update(IdentityProviderRepresentation identityProviderRepresentation)

    - #### remove

          @DELETE
          void remove()

    - #### export

          @GET
           @Path(value="export")
          javax.ws.rs.core.Response export(@QueryParam(value="format")
                                                                       String format)

    - #### getMapperTypes

          @GET
           @Path(value="mapper-types")
           @Produces(value="application/json")
          Map<String,IdentityProviderMapperTypeRepresentation> getMapperTypes()

    - #### getMappers

          @GET
           @Path(value="mappers")
           @Produces(value="application/json")
          List<IdentityProviderMapperRepresentation> getMappers()

    - #### addMapper

          @POST
           @Path(value="mappers")
           @Consumes(value="application/json")
          javax.ws.rs.core.Response addMapper(IdentityProviderMapperRepresentation mapper)

    - #### getMapperById

          @GET
           @Path(value="mappers/{id}")
           @Produces(value="application/json")
          IdentityProviderMapperRepresentation getMapperById(@PathParam(value="id")
                                                                                                                                    String id)

    - #### update

          @PUT
           @Path(value="mappers/{id}")
           @Consumes(value="application/json")
          void update(@PathParam(value="id")
                                                                                             String id,
                                                                                             IdentityProviderMapperRepresentation rep)

    - #### delete

          @DELETE
           @Path(value="mappers/{id}")
          void delete(@PathParam(value="id")
                                                           String id)

Copyright © 2021 JBoss by Red Hat. All rights reserved.